[package]
name = "myfirst_tauri"
version = "0.0.0"
description = "A Tauri App"
authors = ["you"]
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[build-dependencies]
tauri-build = { version = "1", features = [] }

[dependencies]
tauri = { version = "1", features = [ "process-all", "window-all", "dialog-all", "fs-all", "shell-open"] }
serde = { version = "1", features = ["derive"] }
serde_json = "1"
serialport = "^4.3.0"
lazy_static = "1.4"
serde_derive = "1.0"
serde_with = "1.11"
savgol-rs = "0.1.0"
splines = "4.3.1"
ndarray = "0.15.6"
ndarray-stats = "0.5.1"
ndarray-ndimage = "0.4.0"
find_peaks = "0.1.5"
csv = "1.3.0"
tklog = "0.0.8"
libc = "0.2.156"
chrono = "0.4.38"
nalgebra = "0.33.2"






[features]
# This feature is used for production builds or when a dev server is not specified, DO NOT REMOVE!!
custom-protocol = ["tauri/custom-protocol"]
